/*************************************************************************
*	[c[]CXg[
*************************************************************************/

int		install_bascheck();
int		install_ccheck();

char	*get_inst_tool_mnu()
{
	char	*mnu;

	if ( (mnu = MNU_open()) == NULL )
		return (NULL);
	MNU_datAdd( mnu, 0, 'K', Rom16x16, 0, "install_kakeibo" , 0, "}`ECh^ƌv"         );
	MNU_datAdd( mnu, 0, 'D', Rom16x16, 0, "install_gdev"    , 0, "GZ (GDEV)"            );
	MNU_datAdd( mnu, 0, 'M', Rom16x16, 0, "install_gdlldbg" , 0, "TownsVFfobO\ݒ"    );
	MNU_datAdd( mnu, 0, 'S', Rom16x16, 0, "install_ssaver"  , 0, "TownsVFXN[Z[o["  );
	MNU_datAdd( mnu, 0, 'D', Rom16x16, 0, "install_dic"     , 0, "CDvO DIC"       );
	MNU_datAdd( mnu, 0, 'W', Rom16x16, 0, "install_whereis" , 0, "vgdqdhr [WHEREIS.EXG]"   );
	MNU_datAdd( mnu, 0, 'B', Rom16x16, 0, "install_bascheck", 0, "a`rhb`FbNT"         );
	MNU_datAdd( mnu, 0, 'C', Rom16x16, 0, "install_ccheck"  , 0, "b\[XR[h`FbNT"     );
	MNU_datAdd( mnu, 0, 'H', Rom16x16, 0, "install_his"     , 0, "n[hEFAxCu" );
	MNU_datAdd( mnu, 0, 'T', Rom16x16, 0, "tarosc_install"  , 0, "TaroPYON SoftWare collection"   );
	MNU_setPosition(mnu,-1);

	return (mnu);
}

int		install_whereis()
{
	static char	*buf[5] =
	{
		"softname	\"vgdqdhr [WHEREIS.EXG] V1.4\"",
		"instfile	/OH_TOWNS/WHEREIS	\"*.*\"",
		"help		WHEREIS.GGG",
		"item		\"WHEREIS\",WHEREIS.EXG,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		install_gdev()
{
	static char	*buf[5] =
	{
		"softname	\"GZ V0.1 L10\"",
		"instfile	/OH_TOWNS/GDEV	\"*.*\"",
		"help		GDEV.DOC",
		"item		\"GZ(GDEV)\",GDEV.EXG,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		install_gdlldbg()
{
	static char	*buf[5] =
	{
		"softname	\"TownsVFfobO\ݒ\"",
		"instfile	/OH_TOWNS/GDLLDBG	\"*.*\"",
		"help		GDLLDBG.DOC",
		"item		\"ޯޕ\ݒ\",GDLLDBG.EXG,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		install_ssaver()
{
	static char	*buf[5] =
	{
		"softname	\"TownsVFXN[Z[o[ SSAVER\"",
		"instfile	/OH_TOWNS/SSAVER	\"*.*\"",
		"help		SSAVER.DOC",
		"item		\"SSAVER\",SSAVER.EXG,\"\",2",
		NULL
	};

	return install_exec(buf);
}


int		install_dic()
{
	static char	*buf[4] =
	{
		"softname	\"CDvO DIC\"",
		"instfile	/OH_TOWNS/DIC	\"dic.exe dic.doc\"",
		"help		DIC.GGG",
		NULL
	};

	return install_exec(buf);
}

int		install_his()
{
	static char	*buf[4] =
	{
		"softname	\"n[hEFAxCu\"",
		"instfile	/OH_TOWNS/HIS	\"*.*\"",
		"help		HIS.GGG",
		NULL
	};

	return install_exec(buf);
}

int		install_bascheck()
{
	static char	*buf[4] =
	{
		"softname	\"a`rhb`FbNT\"",
		"instfile	/OH_TOWNS/LISTTOOL/BASCHECK	\"*.bas *.doc\"",
		"help		BASCHECK.GGG",
		NULL
	};

	return install_exec(buf);
}

int		install_ccheck()
{
	static char	*buf[4] =
	{
		"softname	\"b\[XR[h`FbNT\"",
		"instfile	/OH_TOWNS/LISTTOOL/CCHECK	\"*.exe *.c *.doc\"",
		"help		CHK.GGG",
		NULL
	};

	return install_exec(buf);
}

#include	"_kakeibo.c"

#include	"../TAROPYON/INSTALL/_tarocol.c"
#include	"../TAROPYON/INSTALL/_hewin.c"
#include	"../TAROPYON/INSTALL/_edia.c"
#include	"../TAROPYON/INSTALL/_gsplay.c"
#include	"../TAROPYON/INSTALL/_he386.c"
#include	"../TAROPYON/INSTALL/_cci.c"
#include	"../TAROPYON/INSTALL/_wallpop.c"
#include	"../TAROPYON/INSTALL/_dostool.c"
#include	"../TAROPYON/INSTALL/_tostool.c"
#include	"../TAROPYON/INSTALL/_sdktool.c"

